package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.common.entity.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(music_group_payment_student_course_detail):
 */
public class MusicGroupPaymentStudentCourseDetail extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private Long musicGroupPaymentCalenderId;
	
	/**  */
	private Long musicGroupPaymentCalenderDetailId;
	
	/**  */
	private Integer userId;
	
	/**  */
	private CourseScheduleType courseType;
	
	/**  */
	private Integer totalCourseMinutes;

	/**  */
	private BigDecimal courseOriginalPrice;

	/**  */
	private BigDecimal courseCurrentPrice;

	/**  已消耗时长*/
	private Integer usedCourseMinutes;

	@ApiModelProperty(value = "标记是否云教练缴费项目",required = false)
	private Boolean cloudTeacherPaymentFlag = false;

	public Boolean getCloudTeacherPaymentFlag() {
		return cloudTeacherPaymentFlag;
	}

	public void setCloudTeacherPaymentFlag(Boolean cloudTeacherPaymentFlag) {
		this.cloudTeacherPaymentFlag = cloudTeacherPaymentFlag;
	}
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public BigDecimal getCourseOriginalPrice() {
		return courseOriginalPrice;
	}

	public void setCourseOriginalPrice(BigDecimal courseOriginalPrice) {
		this.courseOriginalPrice = courseOriginalPrice;
	}

	public BigDecimal getCourseCurrentPrice() {
		return courseCurrentPrice;
	}

	public void setCourseCurrentPrice(BigDecimal courseCurrentPrice) {
		this.courseCurrentPrice = courseCurrentPrice;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupPaymentCalenderId(Long musicGroupPaymentCalenderId){
		this.musicGroupPaymentCalenderId = musicGroupPaymentCalenderId;
	}
	
	public Long getMusicGroupPaymentCalenderId(){
		return this.musicGroupPaymentCalenderId;
	}
			
	public void setMusicGroupPaymentCalenderDetailId(Long musicGroupPaymentCalenderDetailId){
		this.musicGroupPaymentCalenderDetailId = musicGroupPaymentCalenderDetailId;
	}
	
	public Long getMusicGroupPaymentCalenderDetailId(){
		return this.musicGroupPaymentCalenderDetailId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCourseType(CourseScheduleType courseType){
		this.courseType = courseType;
	}
	
	public CourseScheduleType getCourseType(){
		return this.courseType;
	}
			
	public void setTotalCourseMinutes(Integer totalCourseMinutes){
		this.totalCourseMinutes = totalCourseMinutes;
	}
	
	public Integer getTotalCourseMinutes(){
		return this.totalCourseMinutes;
	}
			
	public void setUsedCourseMinutes(Integer usedCourseMinutes){
		this.usedCourseMinutes = usedCourseMinutes;
	}
	
	public Integer getUsedCourseMinutes(){
		return this.usedCourseMinutes;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
